
Application: gvSIG desktop - gvSIG bugs #5062
Selección no se realiza correctamente con una expresión
04/03/2019 03:02 PM - Óscar Martínez

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.5.0-2916 (rev. org.gvsig.desktop-2.0.244)
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Con la siguiente expresión no se realiza bien la selección. Aplica a todos los puntos el mismo resultado de si selecciona o no.

IFF(
FETCH_FIRST('GEOMETRY', store('vista','roads'), 
'ST_DISTANCE(GEOMETRY, ST_GeomFromText('''+GEOMETRY.convertToWKT()+''')) > 500'), true, false)

Adjunto las capas.

Se busca seleccionar los puntos a menos de 500 metros de la linea. En la preview funciona obteniendo resultado de true o false
según la distancia que le pongamos. Pero al hacer la selección no lo hace correctamente.

Associated revisions
Revision 44243 - 04/05/2019 06:54 PM - Joaquín  del Cerro Murciano

refs #5062, correcciones en la forma en que se gestionan la invocacion a metodos.

History
#1 - 04/03/2019 03:06 PM - Óscar Martínez
- File Cartografia2.zip added

#2 - 04/03/2019 03:35 PM - Óscar Martínez

Esta es la expresión  usada:

IFNULL(FETCH_FIRST('GEOMETRY', store('Sin título','roads2'), 
'ST_DISTANCE(GEOMETRY, ST_GeomFromText('''+GEOMETRY.convertToWKT()+''')) > 500'), false, true)

#3 - 04/05/2019 06:56 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed
Al final el error estaba en el mecanismo de invocacion a metodos, en este caso cuando se intentaba llamar el metodo 'convertToWKT' de
'GEOMETRY'.

#4 - 10/17/2019 01:34 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
Cartografia2.zip 69 KB 04/03/2019 Óscar Martínez
